Bug 952648 (CVE-2013-1557) - CVE-2013-1557 OpenJDK: LogStream.setDefaultStream() missing security restrictions (RMI, 8001329)
Summary: CVE-2013-1557 OpenJDK: LogStream.setDefaultStream() missing security restrict...
Status: CLOSED ERRATA
Alias: CVE-2013-1557
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
urgent
urgent
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=critical,public=20130416,repor...
Keywords: Security
Depends On:
Blocks: 950067
TreeView+ depends on / blocked
 
Reported: 2013-04-16 11:10 UTC by Stefan Cornelius
Modified: 2019-06-08 19:31 UTC (History)
3 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2013-07-02 15:39:18 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2013:0751 normal SHIPPED_LIVE Critical: java-1.7.0-openjdk security update 2013-04-17 22:43:48 UTC
Red Hat Product Errata RHSA-2013:0752 normal SHIPPED_LIVE Important: java-1.7.0-openjdk security update 2013-04-17 22:43:40 UTC
Red Hat Product Errata RHSA-2013:0757 normal SHIPPED_LIVE Critical: java-1.7.0-oracle security update 2013-11-13 16:10:43 UTC
Red Hat Product Errata RHSA-2013:0758 normal SHIPPED_LIVE Critical: java-1.6.0-sun security update 2013-11-13 15:57:42 UTC
Red Hat Product Errata RHSA-2013:0770 normal SHIPPED_LIVE Important: java-1.6.0-openjdk security update 2013-04-24 21:57:30 UTC
Red Hat Product Errata RHSA-2013:0822 normal SHIPPED_LIVE Critical: java-1.7.0-ibm security update 2013-11-15 00:13:34 UTC
Red Hat Product Errata RHSA-2013:0823 normal SHIPPED_LIVE Critical: java-1.6.0-ibm security update 2013-11-13 16:10:04 UTC
Red Hat Product Errata RHSA-2013:0855 normal SHIPPED_LIVE Important: java-1.5.0-ibm security update 2013-11-15 00:12:20 UTC
Red Hat Product Errata RHSA-2013:1455 normal SHIPPED_LIVE Low: Red Hat Network Satellite server IBM Java Runtime security update 2013-10-23 20:30:21 UTC
Red Hat Product Errata RHSA-2013:1456 normal SHIPPED_LIVE Low: Red Hat Network Satellite server IBM Java Runtime security update 2013-10-23 20:29:56 UTC

Description Stefan Cornelius 2013-04-16 11:10:23 UTC
It was discovered that LogStream.setDefaultStream() is missing security restrictions. An untrusted Java application or applet could possibly use this flaw to bypass Java sandbox restrictions.

Comment 1 Tomas Hoger 2013-04-16 22:10:51 UTC
Public now via Oracle Java SE CPU April 2014:

http://www.oracle.com/technetwork/topics/security/javacpuapr2013-1928497.html

Fixed in Oracle Java SE 7u21 and 6u45.

Comment 2 errata-xmlrpc 2013-04-17 18:46:18 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2013:0752 https://rhn.redhat.com/errata/RHSA-2013-0752.html

Comment 3 errata-xmlrpc 2013-04-17 18:48:44 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2013:0751 https://rhn.redhat.com/errata/RHSA-2013-0751.html

Comment 4 Stefan Cornelius 2013-04-17 20:45:57 UTC
OpenJDK7 upstream repositories commit:

http://hg.openjdk.java.net/jdk7u/jdk7u-dev/jdk/rev/76eb3fb80740

Comment 5 errata-xmlrpc 2013-04-18 18:26:17 UTC
This issue has been addressed in following products:

  Supplementary for Red Hat Enterprise Linux 6
  Supplementary for Red Hat Enterprise Linux 5

Via RHSA-2013:0758 https://rhn.redhat.com/errata/RHSA-2013-0758.html

Comment 6 errata-xmlrpc 2013-04-18 18:29:07 UTC
This issue has been addressed in following products:

  Supplementary for Red Hat Enterprise Linux 5
  Supplementary for Red Hat Enterprise Linux 6

Via RHSA-2013:0757 https://rhn.redhat.com/errata/RHSA-2013-0757.html

Comment 7 errata-xmlrpc 2013-04-24 18:00:17 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5
  Red Hat Enterprise Linux 6

Via RHSA-2013:0770 https://rhn.redhat.com/errata/RHSA-2013-0770.html

Comment 9 errata-xmlrpc 2013-05-14 17:59:50 UTC
This issue has been addressed in following products:

  Supplementary for Red Hat Enterprise Linux 5
  Supplementary for Red Hat Enterprise Linux 6

Via RHSA-2013:0823 https://rhn.redhat.com/errata/RHSA-2013-0823.html

Comment 10 errata-xmlrpc 2013-05-14 18:04:51 UTC
This issue has been addressed in following products:

  Supplementary for Red Hat Enterprise Linux 5
  Supplementary for Red Hat Enterprise Linux 6

Via RHSA-2013:0822 https://rhn.redhat.com/errata/RHSA-2013-0822.html

Comment 11 errata-xmlrpc 2013-05-22 18:44:28 UTC
This issue has been addressed in following products:

  Supplementary for Red Hat Enterprise Linux 5
  Supplementary for Red Hat Enterprise Linux 6

Via RHSA-2013:0855 https://rhn.redhat.com/errata/RHSA-2013-0855.html

Comment 12 errata-xmlrpc 2013-10-23 16:40:57 UTC
This issue has been addressed in following products:

  Red Hat Network Satellite Server v 5.5

Via RHSA-2013:1456 https://rhn.redhat.com/errata/RHSA-2013-1456.html

Comment 13 errata-xmlrpc 2013-10-23 16:52:03 UTC
This issue has been addressed in following products:

  Red Hat Network Satellite Server v 5.4

Via RHSA-2013:1455 https://rhn.redhat.com/errata/RHSA-2013-1455.html


Note You need to log in before you can comment on or make changes to this bug.